# event_base_reinit

(PECL libevent >= 0.1.0)

event_base_reinit — Reinitialize the event base after a fork

### Description

event_base_reinit ( resource `$event_base` ) : bool

Some event mechanisms do not survive across fork. The `event_base` needs to be reinitialized with this function.

### Parameters

`event_base`

  Valid event base resource that needs to be re-initialized.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.